[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomImage.OnPaintBackground

Event handler signalled to draw the background for the image.

## Declaration

Source position: extctrls.pp line 606

`public property TCustomImage.OnPaintBackground : TImagePaintBackgroundEvent read FOnPaintBackground write FOnPaintBackground;`

## Description

OnPaintBackground is a TImagePaintBackgroundEvent property which implements an event handler signalled to paint the background for an image. OnPaintBackground is signalled from the Paint method using the Canvas and DestRect for the image as arguments. The event occurs immediately prior to the image being drawn using its canvas handle.

## See also

TCustomImage.Paint |  | Draws the image to the control canvas.
TCustomImage.Canvas |  | Canvas used to draw the image.
TCustomImage.DestRect |  | Gets the rectangle where the image is painted.